<?php

namespace Omega\Recovery\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OMEGACRYPTORECOVERYSPECIALISTTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('omega_recovery_o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t_s')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'omega.recovery.o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t.view',
                'name'      => 'View OMEGACRYPTORECOVERYSPECIALIST',
            ],
            [
                'slug'      => 'omega.recovery.o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t.create',
                'name'      => 'Create OMEGACRYPTORECOVERYSPECIALIST',
            ],
            [
                'slug'      => 'omega.recovery.o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t.edit',
                'name'      => 'Update OMEGACRYPTORECOVERYSPECIALIST',
            ],
            [
                'slug'      => 'omega.recovery.o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t.delete',
                'name'      => 'Delete OMEGACRYPTORECOVERYSPECIALIST',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/recovery/o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t',
                'name'        => 'OMEGACRYPTORECOVERYSPECIALIST',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/recovery/o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t',
                'name'        => 'OMEGACRYPTORECOVERYSPECIALIST',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t',
                'name'        => 'OMEGACRYPTORECOVERYSPECIALIST',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Recovery',
                'module'    => 'OMEGACRYPTORECOVERYSPECIALIST',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'omega.recovery.o_m_e_g_a_c_r_y_p_t_o_r_e_c_o_v_e_r_y_s_p_e_c_i_a_l_i_s_t.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
